Subject: Re: Problems getting git-send-email to work

From: Jakub Narebski <[email-masked]>
Date: Mon, 12 May 2008 02:44:28 -0700 (PDT)

"Sverre Hvammen Johansen" <[email-masked]> writes:

> I am having trouble getting git send-email to work:
> 
> [sj@black patches]$ git send-email --smtp-server=smtp.gmail.com
> --smtp-user=[email-masked] --smtp-ssl --to=[email-masked]
> 0001-Documentation-for-joining-more-than-two-histories.patch
> 0001-Documentation-for-joining-more-than-two-histories.patch
[...]
> Can't locate Net/SMTP/SSL.pm in @INC
[...]

> I am using Fedora 7, and have installed git from source (git version
> 1.5.5.54.gc6550, a few private patches that should not be related to
> this problem).  Can anyone help me locate the RPM that include
> Net/SMTP/SSL.pm?

Probably perl-Net-SMTP-SSL, or perl-Net-SMTP

> Without --smtp-ssl I am getting this after I have typed in my password:
> 
> Command unknown: 'AUTH' at /usr/local/bin/git-send-email line 744,
> <STDIN> line 1.

Alternate solution would be (if it is your private box) to configure
your MTA, be it sendmail, qmail, postfix or mSMTP / sSMTP.  If it is
not your provate box, chancce is that somebody configured MTA, and can
simply use git-send-mail without providing --smtp-* options.

-- 
Jakub Narebski
Poland
ShadeHawk on #git